Changeset 2670 for ThirdParty/Blas


Ignore:
Timestamp:
Dec 1, 2012 2:46:18 PM (7 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Blas/trunk/configure

    r2661 r2670  
    10831083                          icl/link). Default when mentioned: mingw. Default
    10841084                          when not mentioned: disabled.
    1085   --enable-static-standardlibs
    1086                           whether to link against static standard libraries
    1087                           (libgcc, libgfortran, libstdc++)
    10881085  --disable-pkg-config    disable use of pkg-config (if available)
    10891086  --enable-static[=PKGS]
     
    19251922echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    19261923  fi
    1927 
    1928 
    1929 
    1930 # check whether to add flags for static linking against standard libraries
    1931 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1932 if test "${enable_static_standardlibs+set}" = set; then
    1933   enableval="$enable_static_standardlibs"
    1934   case "$enableval" in
    1935      no | yes | auto ) ;;
    1936      *)
    1937        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1938 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1939    { (exit 1); exit 1; }; } ;;
    1940    esac
    1941    use_static_standardlibs=$enableval
    1942 else
    1943   if test $enable_shared = yes ; then
    1944      use_static_standardlibs = no
    1945    else
    1946      use_static_standardlibs = auto
    1947    fi
    1948 
    1949 
    1950 fi;
    1951 
    1952 
    19531924
    19541925
     
    30773048    CFLAGS="$OPT_CFLAGS"
    30783049  fi
    3079 
    30803050else
    30813051  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32463216esac
    32473217
    3248 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3249 if test x$use_static_standardlibs != xno ; then
    3250   case $build in
    3251     *-mingw*)
    3252       static_standardlib_flag=-static
    3253       ;;
    3254     *)
    3255       static_standardlib_flag=-static-libgcc
    3256       ;;
    3257   esac
    3258   case " $LDFLAGS " in
    3259     *" $static_standardlib_flag "* ) ;;
    3260     *)
    3261     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3262 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3263     coin_save_LDFLAGS="$LDFLAGS"
    3264     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3265     cat >conftest.$ac_ext <<_ACEOF
    3266 /* confdefs.h.  */
    3267 _ACEOF
    3268 cat confdefs.h >>conftest.$ac_ext
    3269 cat >>conftest.$ac_ext <<_ACEOF
    3270 /* end confdefs.h.  */
    3271 
    3272 int
    3273 main ()
    3274 {
    3275 int i=0;
    3276   ;
    3277   return 0;
    3278 }
    3279 _ACEOF
    3280 rm -f conftest.$ac_objext conftest$ac_exeext
    3281 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3282   (eval $ac_link) 2>conftest.er1
    3283   ac_status=$?
    3284   grep -v '^ *+' conftest.er1 >conftest.err
    3285   rm -f conftest.er1
    3286   cat conftest.err >&5
    3287   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3288   (exit $ac_status); } &&
    3289          { ac_try='test -z "$ac_c_werror_flag"
    3290                          || test ! -s conftest.err'
    3291   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3292   (eval $ac_try) 2>&5
    3293   ac_status=$?
    3294   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3295   (exit $ac_status); }; } &&
    3296          { ac_try='test -s conftest$ac_exeext'
    3297   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3298   (eval $ac_try) 2>&5
    3299   ac_status=$?
    3300   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3301   (exit $ac_status); }; }; then
    3302   echo "$as_me:$LINENO: result: yes" >&5
    3303 echo "${ECHO_T}yes" >&6
    3304 else
    3305   echo "$as_me: failed program was:" >&5
    3306 sed 's/^/| /' conftest.$ac_ext >&5
    3307 
    3308 echo "$as_me:$LINENO: result: no" >&5
    3309 echo "${ECHO_T}no" >&6
    3310        LDFLAGS="$coin_save_LDFLAGS"
    3311        if test $use_static_standardlibs = yes ; then
    3312          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3313 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3314    { (exit 1); exit 1; }; }
    3315        fi
    3316 
    3317 fi
    3318 rm -f conftest.err conftest.$ac_objext \
    3319       conftest$ac_exeext conftest.$ac_ext
    3320     ;;
    3321   esac
    3322 fi
    3323 
    33243218ac_ext=c
    33253219ac_cpp='$CPP $CPPFLAGS'
     
    33423236  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    33433237 esac
    3344 
    33453238
    33463239
     
    35583451
    35593452# Provide some information about the compiler.
    3560 echo "$as_me:3560:" \
     3453echo "$as_me:3453:" \
    35613454     "checking for Fortran 77 compiler version" >&5
    35623455ac_compiler=`set X $ac_compile; echo $2`
     
    39253818    FFLAGS="$OPT_FFLAGS"
    39263819  fi
    3927 
    39283820else
    39293821  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    40683960esac
    40693961
    4070 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4071 if test x$use_static_standardlibs != xno ; then
    4072   case $build in
    4073     *-mingw*)
    4074       static_standardlib_flag=-static
    4075       ;;
    4076     *)
    4077       static_standardlib_flag=-static-libgfortran
    4078       ;;
    4079   esac
    4080   case " $LDFLAGS " in
    4081     *" $static_standardlib_flag "* ) ;;
    4082     *)
    4083     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4084 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4085     coin_save_LDFLAGS="$LDFLAGS"
    4086     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4087     cat >conftest.$ac_ext <<_ACEOF
    4088       program main
    4089       integer i
    4090       end
    4091 _ACEOF
    4092 rm -f conftest.$ac_objext conftest$ac_exeext
    4093 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4094   (eval $ac_link) 2>conftest.er1
    4095   ac_status=$?
    4096   grep -v '^ *+' conftest.er1 >conftest.err
    4097   rm -f conftest.er1
    4098   cat conftest.err >&5
    4099   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4100   (exit $ac_status); } &&
    4101          { ac_try='test -z "$ac_f77_werror_flag"
    4102                          || test ! -s conftest.err'
    4103   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4104   (eval $ac_try) 2>&5
    4105   ac_status=$?
    4106   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4107   (exit $ac_status); }; } &&
    4108          { ac_try='test -s conftest$ac_exeext'
    4109   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4110   (eval $ac_try) 2>&5
    4111   ac_status=$?
    4112   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4113   (exit $ac_status); }; }; then
    4114   echo "$as_me:$LINENO: result: yes" >&5
    4115 echo "${ECHO_T}yes" >&6
    4116 else
    4117   echo "$as_me: failed program was:" >&5
    4118 sed 's/^/| /' conftest.$ac_ext >&5
    4119 
    4120 echo "$as_me:$LINENO: result: no" >&5
    4121 echo "${ECHO_T}no" >&6
    4122        LDFLAGS="$coin_save_LDFLAGS"
    4123        if test $use_static_standardlibs = yes ; then
    4124          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4125 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4126    { (exit 1); exit 1; }; }
    4127        fi
    4128 
    4129 fi
    4130 rm -f conftest.err conftest.$ac_objext \
    4131       conftest$ac_exeext conftest.$ac_ext
    4132     ;;
    4133   esac
    4134 fi
    4135 
    41363962ac_ext=c
    41373963ac_cpp='$CPP $CPPFLAGS'
     
    41964022ac_save_FFLAGS=$FFLAGS
    41974023FFLAGS="$FFLAGS $ac_verb"
    4198 (eval echo $as_me:4198: \"$ac_link\") >&5
     4024(eval echo $as_me:4024: \"$ac_link\") >&5
    41994025ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42004026echo "$ac_f77_v_output" >&5
     
    42744100ac_save_FFLAGS=$FFLAGS
    42754101FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4276 (eval echo $as_me:4276: \"$ac_link\") >&5
     4102(eval echo $as_me:4102: \"$ac_link\") >&5
    42774103ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42784104echo "$ac_f77_v_output" >&5
     
    51785004# unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
    51795005if test "x${prefix}" = xNONE ; then
    5180   COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib64/pkgconfig:${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    5181 else
    5182   COIN_PKG_CONFIG_PATH="${prefix}/lib64/pkgconfig:${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     5006  COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     5007else
     5008  COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    51835009fi
    51845010
     
    68766702*-*-irix6*)
    68776703  # Find out which ABI we are using.
    6878   echo '#line 6878 "configure"' > conftest.$ac_ext
     6704  echo '#line 6704 "configure"' > conftest.$ac_ext
    68796705  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    68806706  (eval $ac_compile) 2>&5
     
    93539179   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    93549180   -e 's:$: $lt_compiler_flag:'`
    9355    (eval echo "\"\$as_me:9355: $lt_compile\"" >&5)
     9181   (eval echo "\"\$as_me:9181: $lt_compile\"" >&5)
    93569182   (eval "$lt_compile" 2>conftest.err)
    93579183   ac_status=$?
    93589184   cat conftest.err >&5
    9359    echo "$as_me:9359: \$? = $ac_status" >&5
     9185   echo "$as_me:9185: \$? = $ac_status" >&5
    93609186   if (exit $ac_status) && test -s "$ac_outfile"; then
    93619187     # The compiler can only warn and ignore the option if not recognized
     
    96219447   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    96229448   -e 's:$: $lt_compiler_flag:'`
    9623    (eval echo "\"\$as_me:9623: $lt_compile\"" >&5)
     9449   (eval echo "\"\$as_me:9449: $lt_compile\"" >&5)
    96249450   (eval "$lt_compile" 2>conftest.err)
    96259451   ac_status=$?
    96269452   cat conftest.err >&5
    9627    echo "$as_me:9627: \$? = $ac_status" >&5
     9453   echo "$as_me:9453: \$? = $ac_status" >&5
    96289454   if (exit $ac_status) && test -s "$ac_outfile"; then
    96299455     # The compiler can only warn and ignore the option if not recognized
     
    97259551   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    97269552   -e 's:$: $lt_compiler_flag:'`
    9727    (eval echo "\"\$as_me:9727: $lt_compile\"" >&5)
     9553   (eval echo "\"\$as_me:9553: $lt_compile\"" >&5)
    97289554   (eval "$lt_compile" 2>out/conftest.err)
    97299555   ac_status=$?
    97309556   cat out/conftest.err >&5
    9731    echo "$as_me:9731: \$? = $ac_status" >&5
     9557   echo "$as_me:9557: \$? = $ac_status" >&5
    97329558   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    97339559   then
     
    1214211968  lt_status=$lt_dlunknown
    1214311969  cat > conftest.$ac_ext <<EOF
    12144 #line 12144 "configure"
     11970#line 11970 "configure"
    1214511971#include "confdefs.h"
    1214611972
     
    1224212068  lt_status=$lt_dlunknown
    1224312069  cat > conftest.$ac_ext <<EOF
    12244 #line 12244 "configure"
     12070#line 12070 "configure"
    1224512071#include "confdefs.h"
    1224612072
     
    1460214428   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1460314429   -e 's:$: $lt_compiler_flag:'`
    14604    (eval echo "\"\$as_me:14604: $lt_compile\"" >&5)
     14430   (eval echo "\"\$as_me:14430: $lt_compile\"" >&5)
    1460514431   (eval "$lt_compile" 2>conftest.err)
    1460614432   ac_status=$?
    1460714433   cat conftest.err >&5
    14608    echo "$as_me:14608: \$? = $ac_status" >&5
     14434   echo "$as_me:14434: \$? = $ac_status" >&5
    1460914435   if (exit $ac_status) && test -s "$ac_outfile"; then
    1461014436     # The compiler can only warn and ignore the option if not recognized
     
    1470614532   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1470714533   -e 's:$: $lt_compiler_flag:'`
    14708    (eval echo "\"\$as_me:14708: $lt_compile\"" >&5)
     14534   (eval echo "\"\$as_me:14534: $lt_compile\"" >&5)
    1470914535   (eval "$lt_compile" 2>out/conftest.err)
    1471014536   ac_status=$?
    1471114537   cat out/conftest.err >&5
    14712    echo "$as_me:14712: \$? = $ac_status" >&5
     14538   echo "$as_me:14538: \$? = $ac_status" >&5
    1471314539   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1471414540   then
     
    1627616102   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1627716103   -e 's:$: $lt_compiler_flag:'`
    16278    (eval echo "\"\$as_me:16278: $lt_compile\"" >&5)
     16104   (eval echo "\"\$as_me:16104: $lt_compile\"" >&5)
    1627916105   (eval "$lt_compile" 2>conftest.err)
    1628016106   ac_status=$?
    1628116107   cat conftest.err >&5
    16282    echo "$as_me:16282: \$? = $ac_status" >&5
     16108   echo "$as_me:16108: \$? = $ac_status" >&5
    1628316109   if (exit $ac_status) && test -s "$ac_outfile"; then
    1628416110     # The compiler can only warn and ignore the option if not recognized
     
    1638016206   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1638116207   -e 's:$: $lt_compiler_flag:'`
    16382    (eval echo "\"\$as_me:16382: $lt_compile\"" >&5)
     16208   (eval echo "\"\$as_me:16208: $lt_compile\"" >&5)
    1638316209   (eval "$lt_compile" 2>out/conftest.err)
    1638416210   ac_status=$?
    1638516211   cat out/conftest.err >&5
    16386    echo "$as_me:16386: \$? = $ac_status" >&5
     16212   echo "$as_me:16212: \$? = $ac_status" >&5
    1638716213   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1638816214   then
     
    1858718413   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1858818414   -e 's:$: $lt_compiler_flag:'`
    18589    (eval echo "\"\$as_me:18589: $lt_compile\"" >&5)
     18415   (eval echo "\"\$as_me:18415: $lt_compile\"" >&5)
    1859018416   (eval "$lt_compile" 2>conftest.err)
    1859118417   ac_status=$?
    1859218418   cat conftest.err >&5
    18593    echo "$as_me:18593: \$? = $ac_status" >&5
     18419   echo "$as_me:18419: \$? = $ac_status" >&5
    1859418420   if (exit $ac_status) && test -s "$ac_outfile"; then
    1859518421     # The compiler can only warn and ignore the option if not recognized
     
    1885518681   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1885618682   -e 's:$: $lt_compiler_flag:'`
    18857    (eval echo "\"\$as_me:18857: $lt_compile\"" >&5)
     18683   (eval echo "\"\$as_me:18683: $lt_compile\"" >&5)
    1885818684   (eval "$lt_compile" 2>conftest.err)
    1885918685   ac_status=$?
    1886018686   cat conftest.err >&5
    18861    echo "$as_me:18861: \$? = $ac_status" >&5
     18687   echo "$as_me:18687: \$? = $ac_status" >&5
    1886218688   if (exit $ac_status) && test -s "$ac_outfile"; then
    1886318689     # The compiler can only warn and ignore the option if not recognized
     
    1895918785   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1896018786   -e 's:$: $lt_compiler_flag:'`
    18961    (eval echo "\"\$as_me:18961: $lt_compile\"" >&5)
     18787   (eval echo "\"\$as_me:18787: $lt_compile\"" >&5)
    1896218788   (eval "$lt_compile" 2>out/conftest.err)
    1896318789   ac_status=$?
    1896418790   cat out/conftest.err >&5
    18965    echo "$as_me:18965: \$? = $ac_status" >&5
     18791   echo "$as_me:18791: \$? = $ac_status" >&5
    1896618792   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1896718793   then
Note: See TracChangeset for help on using the changeset viewer.